$TABLET-MIN-WIDTH: 576px;
$TABLET-LARGE-MIN-WIDTH: 768px;
$DESKTOP-MIN-WIDTH: 992px;
$DESKTOP-LARGE-MIN-WIDTH: 1200px;

@mixin tablet {
    @media only screen and (min-width: $TABLET-MIN-WIDTH) {
        @content;
    }
}

@mixin tablet-large {
    @media only screen and (min-width: $TABLET-LARGE-MIN-WIDTH) {
        @content;
    }
}

@mixin desktop {
    @media only screen and (min-width: $DESKTOP-MIN-WIDTH) {
        @content;
    }
}

@mixin desktop-large {
    @media only screen and (min-width: $DESKTOP-LARGE-MIN-WIDTH) {
        @content;
    }
}

@mixin define-section($class) {
    .site > .main-content > section.#{$class} {
        overflow: hidden;
        @content;
    }
}